Perl 6 - the future is here, just unevenly distributed

IRC log for #padre, 2014-08-11

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
03:32 kaare joined #padre
04:52 kaare joined #padre
05:15 sewi joined #padre
06:29 toi joined #padre
08:21 mib_nwb3t0 joined #padre
08:21 botbot Welcome mib_nwb3t0
08:22 mib_nwb3t0 Hello everyone... I have a question for Padre Plugins, am I right here?
08:22 mib_nwb3t0 I can't figure out how to install a plugin ...
08:23 mib_nwb3t0 For example, I have XML-files that are not very readable (all in one line), and I want to install XML::Tidy.
08:23 mib_nwb3t0 Anybody knows how to do that?
08:24 El_Che mib_nwb3t0: install it through cpan
08:24 El_Che of via your distribution software manager
08:24 mib_nwb3t0 yes I did that...
08:24 El_Che mib_nwb3t0: what os are you running?
08:24 mib_nwb3t0 Win at the moment but also Linux
08:24 El_Che ok then you need to enable it in the plugin manager of padre
08:25 mib_nwb3t0 I thought so too but it doesn't show up there.
08:25 mib_nwb3t0 cpan says install went ok...
08:25 El_Che did you install Padre::Plugin::XML ?
08:25 mib_nwb3t0 nope
08:25 El_Che install that as well :)
08:26 mib_nwb3t0 ok thanks I'll try :-)
08:27 mib_nwb3t0 ok... it say "Incompatible" in the plugin manager.
08:28 mib_nwb3t0 I have Padre 0.94
08:28 mib_nwb3t0 on win
08:28 El_Che mib_nwb3t0: mmm
08:29 El_Che maybe the version in the plugin needs to be updated. I don't have the login info here at work to checkout the code
08:29 El_Che I can try it tomorrow if you want (or maybe someone will show that can test it if you stick around)
08:33 mib_nwb3t0 ok thanks a alot...
08:33 mib_nwb3t0 i'm at work too but I'll try to stick around.
08:33 mib_nwb3t0 it's not the most pressing thing in the world but it would be helpful.
08:35 botbot Welcome ghostbuster
08:40 ghostbuster El_Che: is there something I can change in XML.pm myself?
08:42 El_Che ghostbuster: yes, in the Padre plugin
08:42 El_Che have a look at this: http://search.cpan.org/dist​/Padre/lib/Padre/Plugin.pm
08:42 El_Che n your plugin Padre::Plugin::XML, theis is a padre_interfaces sub
08:43 El_Che with the version of padre it supports
08:43 El_Che you should bump that
08:43 El_Che no warranties it will work, but it may be something like that
08:45 ghostbuster yes, at the moment there are 2 lines
08:45 ghostbuster 'Padre::Plugin'   => 0.65, 'Padre::Document' => 0.65,
08:45 ghostbuster I have v.0.94
08:45 ghostbuster shouldn't that be ok?
08:49 Kirkegaard joined #padre
08:49 ghostbuster wait a minute... there is another line in XML.pm that says
08:49 ghostbuster our $VERSION = '0.10';
08:50 ghostbuster maybe that's the problem? (line 6)
08:54 ghostbuster it wasn't, but changing the "0.65" to "0.94" actually worked. it is now enabled.
08:54 ghostbuster only problem: now it says "not an xml document" when I try to tidy an xml-document...
09:04 mib_nwb3t0 joined #padre
09:04 botbot Welcome mib_nwb3t0
09:08 botbot Welcome ghostbuster
09:18 mib_nwb3t0 joined #padre
09:18 botbot Welcome mib_nwb3t0
09:27 mib_nwb3t0 joined #padre
09:27 botbot Welcome mib_nwb3t0
13:31 kaare joined #padre
14:53 toi joined #padre
18:08 sid joined #padre
18:47 botbot Welcome zz_Foxcool
18:57 toi joined #padre
19:26 notEvilEnough joined #padre
19:27 notEvilEnough left #padre
20:19 atcroft joined #padre
20:33 sewi joined #padre
20:51 Di-ima joined #padre

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary